Page MenuHomePhabricator

Extension TopLists failing tests due to missing apihelp messages
Closed, ResolvedPublic

Description

21:06:37 1) ApiDocumentationTest::testDocumentationExists with data set "Module query+wkvoteart with MiserMode=false, AllowCategorizedRecentChanges=false" ('query+wkvoteart', array(false, false))
21:06:37 Module description message apihelp-query+wkvoteart-description exists
21:06:37 Failed asserting that false is true.
21:06:37 
21:06:37 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:51
21:06:37 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:80
21:06:37 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/MediaWikiTestCase.php:400
21:06:37 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/maintenance/doMaintenance.php:111
21:06:37 
21:06:37 2) ApiDocumentationTest::testDocumentationExists with data set "Module query+wkvoteart with MiserMode=true, AllowCategorizedRecentChanges=true" ('query+wkvoteart', array(true, true))
21:06:37 Module description message apihelp-query+wkvoteart-description exists
21:06:37 Failed asserting that false is true.
21:06:37 
21:06:37 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:51
21:06:37 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:80
21:06:37 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/MediaWikiTestCase.php:400
21:06:37 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/maintenance/doMaintenance.php:111
21:06:37 
21:06:37 3) ApiDocumentationTest::testDocumentationExists with data set "Module toplistsadditem with MiserMode=false, AllowCategorizedRecentChanges=false" ('toplistsadditem', array(false, false))
21:06:37 Module description message apihelp-toplistsadditem-description exists
21:06:37 Failed asserting that false is true.
21:06:37 
21:06:37 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:51
21:06:37 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:80
21:06:37 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/MediaWikiTestCase.php:400
21:06:37 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/maintenance/doMaintenance.php:111
21:06:37 
21:06:37 4) ApiDocumentationTest::testDocumentationExists with data set "Module toplistsadditem with MiserMode=true, AllowCategorizedRecentChanges=true" ('toplistsadditem', array(true, true))
21:06:37 Module description message apihelp-toplistsadditem-description exists
21:06:37 Failed asserting that false is true.
21:06:37 
21:06:37 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:51
21:06:37 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:80
21:06:37 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/MediaWikiTestCase.php:400
21:06:37 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/maintenance/doMaintenance.php:111
21:06:37 
21:06:37 5) ApiDocumentationTest::testDocumentationExists with data set "Module toplistscheckliststatus with MiserMode=false, AllowCategorizedRecentChanges=false" ('toplistscheckliststatus', array(false, false))
21:06:37 Module description message apihelp-toplistscheckliststatus-description exists
21:06:37 Failed asserting that false is true.
21:06:37 
21:06:37 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:51
21:06:37 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:80
21:06:37 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/MediaWikiTestCase.php:400
21:06:37 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/maintenance/doMaintenance.php:111
21:06:37 
21:06:37 6) ApiDocumentationTest::testDocumentationExists with data set "Module toplistscheckliststatus with MiserMode=true, AllowCategorizedRecentChanges=true" ('toplistscheckliststatus', array(true, true))
21:06:37 Module description message apihelp-toplistscheckliststatus-description exists
21:06:37 Failed asserting that false is true.
21:06:37 
21:06:37 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:51
21:06:37 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:80
21:06:37 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/MediaWikiTestCase.php:400
21:06:37 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/maintenance/doMaintenance.php:111
21:06:37 
21:06:37 7) ApiDocumentationTest::testDocumentationExists with data set "Module toplistsvoteitem with MiserMode=false, AllowCategorizedRecentChanges=false" ('toplistsvoteitem', array(false, false))
21:06:37 Module description message apihelp-toplistsvoteitem-description exists
21:06:37 Failed asserting that false is true.
21:06:37 
21:06:37 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:51
21:06:37 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:80
21:06:37 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/MediaWikiTestCase.php:400
21:06:37 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/maintenance/doMaintenance.php:111
21:06:37 
21:06:37 8) ApiDocumentationTest::testDocumentationExists with data set "Module toplistsvoteitem with MiserMode=true, AllowCategorizedRecentChanges=true" ('toplistsvoteitem', array(true, true))
21:06:37 Module description message apihelp-toplistsvoteitem-description exists
21:06:37 Failed asserting that false is true.
21:06:37 
21:06:37 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:51
21:06:37 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/structure/ApiDocumentationTest.php:80
21:06:37 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/tests/phpunit/MediaWikiTestCase.php:400
21:06:37 /home/jenkins/workspace/mwext-testextension-hhvm-jessie-non-voting/src/maintenance/doMaintenance.php:111

Details

Related Gerrit Patches:
mediawiki/extensions/TopLists : masterAdd apihelp messages to pass unit tests

Event Timeline

Restricted Application added a project: Social-Tools. · View Herald TranscriptMar 29 2017, 7:26 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
ashley triaged this task as Lowest priority.Mar 30 2017, 9:59 PM
ashley added a subscriber: ashley.

Given that the extension itself has major code issues and won't work yet due to some missing hard dependencies (see T160468: [GOAL] Remove hard dependencies in TopLists), this isn't exactly surprising.

Change 369940 had a related patch set uploaded (by Umherirrender; owner: Umherirrender):
[mediawiki/extensions/TopLists@master] Add apihelp messages to pass unit tests

https://gerrit.wikimedia.org/r/369940

Change 369940 merged by jenkins-bot:
[mediawiki/extensions/TopLists@master] Add apihelp messages to pass unit tests

https://gerrit.wikimedia.org/r/369940

Umherirrender closed this task as Resolved.Aug 3 2017, 4:15 PM

The message body now exists to pass tests.